function editCheckCommand(f)
{
	var errorMsg = 'Unable to determine ID of selected Check Command';
	var cmdId = $(f).find('select[name$=\\[check_command\\]]').attr('value');

	if (!cmdId){
		alert(errorMsg);
		return false;
	}

	if (!confirm('Are you sure that you wish to leave this form?\nAll unsaved changes will be lost...'))
		return false;
	else
		self.location.search = "?obj_type=command&obj_id=" + cmdId;
}

function toggle_command_info(f)
{
	var cmdId = $(f).find('select[name$=\\[check_command\\]]').attr('value');
	if (!cmdId)
		cmdId = $(f).find('[name=clone_id]').attr('value');
	if (!cmdId)
		cmdId = $(f).find('[name=tmp_obj_id]').attr('value');
	syntax_button = document.getElementById('syntax_button');
	if ($('#commandInfo').is(':visible')) {
		syntax_button.setAttribute('title', "Show syntax help for selected command");
		syntax_button.setAttribute('value', "Syntax help");
		document.getElementById('commandInfo').style.display = "none";
	} else {
		syntax_button.setAttribute('title', "Click to hide syntax help");
		syntax_button.setAttribute('value', "Hide syntax help");
		$.get('_plugin_info.php', data = {'cmdId': cmdId}).done(function(data) {
			$('#commandInfo').html(data);
		}).fail(function(xhr, status) {
			$('#commandInfo').text("Permission denied...(received HTTP status code " + status + ")");
		}).always(function() {
			document.getElementById('commandInfo').style.display = "block";
		});
	}
}
