<?php
require_once('escalation_class.php');

/**
 * Service escalations are used to escalate notifications
 * for a particular service.
 */
class serviceescalation_class extends escalation_class
{
	/** object type */
	static $type 					= 'serviceescalation';
	/** master object type */
	var $master_obj_type        = 'service';
	/** Variable in this object identifying the master object */
	var $master_obj_identifier 	= 'service';

	/**
	 * Prepare the object for drawing in the gui
	 */
	function prepare_draw()
	{
		$idx = get_object_index_table('service');

		$topic = "Service Escalation for service";
		parent::prepare_draw();

		if (!$this->id) {
			$this->id = 'new';
		}

		$this->topic = $this->id==='new' ? "New " . $topic : $topic;
		if ($this->master_obj_id)
			$this->topic .= " " . $idx[$this->master_obj_id];
	}
}
