#!/usr/bin/env php
<?php
require_once(dirname(__FILE__).'/../include/config.inc.php');
give_infinite_rights();

require_once(dirname(__FILE__).'/../include/db_wrap.inc.php');
require_once(dirname(__FILE__).'/../classes/object_class.php');


$query = "SELECT count(*) FROM information_schema.tables WHERE table_schema = 'nacoma' AND table_name = 'roles'";
$result = pdo_exec_query($query);
$rows = $result->fetchAll(PDO::FETCH_NUM);
if (!$rows[0][0])
	exit(0);

import_config();
$profs = pdo_exec_query('SELECT * FROM profiles');
foreach ($profs->fetchAll(PDO::FETCH_ASSOC) as $profile) {
	$hg = new hostgroup_class();
	$hg->obj['hostgroup_name'] = 'profile_'.$profile['name'];
	$hg->save_object();
	$svcs = pdo_exec_query('SELECT * FROM profile_objects WHERE profile_id = '.pdo_quote_string($profile['id']).' AND host_name = ""');
	foreach ($svcs->fetchAll(PDO::FETCH_ASSOC) as $svc) {
		$orig_service = new service_class($profile['object_name'].';'.$svc['service_description']);
		$service = $orig_service->copy_object();
		$service->set_master_object_type('hostgroup');
		$service->obj['hostgroup_name'] = $hg->id;
		$service->obj['service_description'] = $svc['service_description'];
		$service->save_object();
	}
}
do_export(true);
pdo_exec_query('SELECT * FROM profiles');
pdo_exec_query('SELECT * FROM profile_objects');

