<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="Pragma" content="no-cache" />
		<meta http-equiv="Pragma-directive" content="no-cache" />
		<meta http-equiv="Cache-directive" content="no-cache" />
		<meta http-equiv="Expires" content="0" />
		<title> Nacoma </title>
		<link type="text/css" rel="stylesheet" href="css/webconfig.css?v=<?php echo monitor_version() ?>" />
		<link type="text/css" rel="stylesheet" href="css/form.css?v=<?php echo monitor_version() ?>" />
		<link type="text/css" rel="stylesheet" href="css/tables.css?v=<?php echo monitor_version() ?>" />
		<link type="text/css" rel="stylesheet" href="css/help.css?v=<?php echo monitor_version() ?>" />
		<link type="text/css" rel="stylesheet" href="css/jquery.qtip.css?v=<?php echo monitor_version() ?>" />
		<link type="text/css" rel="stylesheet" href="css/jquery-ui-custom.css?v=<?php echo monitor_version() ?>" />
		<!--[if !IE]><!-->
		<link type="text/css" rel="stylesheet" href="css/accesstables.css?v=<?php echo monitor_version() ?>" />
		<!--<![endif]-->
		<script type="text/javascript" src="js/jquery.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/jquery-ui.min.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/jquery.selectboxes.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/jquery.qtip.min.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/move_options.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/helptexts.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/_plugin_info.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/filterlist.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/common.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/metadata.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/timeperiods.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/imgpreview.min.0.22.jquery.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/authconfig.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript" src="js/accesstables.js?v=<?php echo monitor_version() ?>"></script>
		<script type="text/javascript">
		var DEBUG = <?php echo (int)$DEBUG ?>;
		var monitor_required_objects = false;
		</script>
	</head>

	<body>
		<div id="helpContent"></div>

		<div id="webconfig-bar">
			<?php echo top_bar_class::render(); ?>
			<ul>
				<li><a href="/monitor/op5/nacoma/help_index.php"><img src="images/icons/nacoma-help.png" alt="Help" title="Help" /></a></li>
				<li><a href="/monitor/op5/nacoma/changelog_history.php"><img src="images/icons/nacoma-history.png" alt="Historical configuration changes" title="Historical configuration changes" /></a></li>
				<li><a href="/monitor/op5/nacoma/?action=Import" <?php
$changelog_changes = Changelog::get_changes_count();
$changelog_changes_s = $changelog_changes > 1 ? "s" : null;
if($changelog_changes) {
	echo "onclick='return confirm(\"If you continue, the $changelog_changes configuration change$changelog_changes_s you made will be reverted.\");'";
}
unset($changelog_changes);
unset($changelog_changes_s);
?>><img src="images/icons/nacoma-undo.png" alt="Undo" title="Undo submitted changes" /></a></li>
				<li><a href="/monitor/op5/nacoma/export.php"><img src="images/icons/nacoma-save.png" alt="Save" title="Save submitted changes" /></a></li>
				<li><a href="/monitor/op5/nacoma/"><img src="images/icons/nacoma.png" alt="Configure" title="Configuration start page" /></a></li>
			</ul>
		</div>

		<div id="content-info">
			<div class="pad">
				<?php
					if (!empty($subtitle)) {
						echo '<h2>'.$subtitle.'</h2>';
					}
				?>

				<!--- End of html_start() -->
