<?php
require_once('classes/object_class.php');
require_once('include/db_config.inc.php');

echo '<pre width="100%">';
if(!isset($_GET['cmdId'])) {
	echo "Missing parameter";
} else {
	$cmdInfo = new command_class($_GET['cmdId']);
	$cmdInfo->obj['command_name'] = 'test_command';

	$cmdrun = new cmd_test_class();
	$cmdrun->attach_object( $cmdInfo );
	try {
		print "<b>Command line of selected check command:</b>\n";
		print htmlspecialchars($cmdInfo->obj['command_line']);
		$parts = explode(" ", $cmdInfo->obj['command_line']);
		$cmdInfo->obj['command_line'] = $parts[0] . ' -h';
		print "\n\n<b>Plugin syntax:</b>\n";
		$out = $cmdrun->runcmd('command', false, false);
		$out = trim($out);
		if ($out)
			echo htmlspecialchars($out);
		else
			echo "Check provided no help when sent the -h flag.";
	} catch (op5queryhandler_Exception $e) {
		if ($DEBUG)
			print $e;
		else
			print $e->getMessage();
	}
}
echo '</pre>';
