<?php
require_once(dirname(__FILE__) . '/../include/object_properties.inc.php');
require_once(dirname(__FILE__) . '/../include/data.inc.php');
require_once(dirname(__FILE__) . '/../include/check_mk.inc.php');
require_once(dirname(__FILE__) . '/../include/webconfig.inc.php');
require_once('op5/log.php');

/**
 * Function to auto-load files - all object types are now always available
 */
function main_class_autoload($class_name) {
	if (file_exists(dirname(__FILE__).'/../models/'.$class_name.'.php'))
		include_once(dirname(__FILE__).'/../models/'.$class_name.'.php');
	else if (file_exists(dirname(__FILE__).'/'.$class_name.'.php'))
		include_once(dirname(__FILE__).'/'.$class_name.'.php');
}
spl_autoload_register('main_class_autoload');
