<?php

include_once 'include/webconfig.inc.php';
include_once 'include/object_properties.inc.php';
include_once('classes/common_gui.php');
include_once('include/nacoma_access.inc.php');
require_once 'op5/auth/Auth.php';

validate_user();

$access = get_nacoma_access('access_rights');
if (!in_array(NACOMA_ACCESS_FULL_ACCESS, $access))
	deny_access("You need full 'access_rights' permissions to modify permissions.");

$result = array();

if( isset( $_REQUEST['username'] ) ) {
	$username = $_REQUEST['username'];
	
	try {
		$groups = $op5_auth->groups_for_user( $username );
		$result['groups'] = $groups;
	}
	catch( Exception $e ) {
		$result['error'] = $e->getMessage();
	}
} else {
	$result['error'] = 'User not specified';
}
print json_encode( $result );

