<?php
require_once('escalation_class.php');

/**
 * Host escalations are used to escalate notifications for a particular host.
 */
class hostescalation_class extends escalation_class
{
	/** object type */
	static $type = 'hostescalation';
	/** master object type */
	var $master_obj_type = 'host';
	var $master_obj_candidates = array('host' => 'host_name', 'hostgroup' => 'hostgroup_name');
	/** variable in this object identifying the master object */
	var $master_obj_identifier = 'host_name';
}
