<?php
require_once('extinfo_class.php');

/**
 * Hostextinfo-related methods
 */
class hostextinfo_class extends extinfo_class
{
	/** object type */
	static $type = 'hostextinfo';
	/** master object type */
	var $master_obj_type = 'host';
	/** variable in this object identifying the master object */
	var $master_obj_identifier = 'host_name';

	/**
	 * Prepare the object for drawing in the gui
	 */
	function prepare_draw()
	{
		$idx = get_object_index_table('host');
		$topic = "Extended info for host";
		parent::prepare_draw();

		$this->topic = $this->id==='new' ? "New " . $topic : $topic;
		if ($this->master_obj_id && isset($idx[$this->master_obj_id]))
			$this->topic .= " " . $idx[$this->master_obj_id];
	}
}
