DROP TABLE roles CASCADE CONSTRAINTS;
DROP TABLE user_roles CASCADE CONSTRAINTS;
DELETE FROM role_permissions WHERE object_type = 'hostextinfo';
DELETE FROM role_permissions WHERE object_type = 'serviceextinfo';

CREATE TABLE role (
  id NUMBER(10,0) NOT NULL,
  role_name VARCHAR2(255 CHAR)
);
ALTER TABLE role ADD CONSTRAINT role_PRIMARY PRIMARY KEY(id) ENABLE;

CREATE TABLE username_role (
  username VARCHAR2(100 CHAR) NOT NULL,
  role NUMBER(10,0) NOT NULL
);
CREATE INDEX username_role_role ON username_role(role);
CREATE INDEX username_role_user ON username_role(username);
