<?php
// Generic template for printing many objects of a certain kind on one page
// Expects an array of $objects, and optionally uses a string $description.
global $page;

if (isset($description))
	echo $description;

echo '</div>';

$related_printed = false;
foreach ($objects as $obj) {
	$obj->prepare_draw();
	if ($related_printed == false) {
		$page->print_related_object($obj);
		$related_printed = true;
	}
}

if (count($objects) > 0) {
	$i = 0;
	echo "<table class='quickjump' style='clear:both;'><tr>\n";
	foreach($objects as $ary) {
		if($i % 5 === 0 && $i !== 0) {
			echo "</tr><tr>\n";
		}
		echo "<td class='QJ'>";
		echo "<a href='#object_$i'>".gui_class::escape_html($ary->get_object_name())."</a></td>\n";
		$i++;
	}
	echo "</tr></td></table>\n";
}
$page->form_start('roles', 'post', $_SERVER['PHP_SELF']);
$i = 0;
foreach($objects as $ary) {
	echo '<a name="object_'.$i.'" style="clear: both; display: block; border-bottom: 0;">&nbsp;</a>';
	$page->pretty_print_one($ary);
	$i++;
}
$page->submit_button();
$page->form_end();
