<?php

require_once('base_widget.php');

/**
 * Widget that prints a hidden form element
 */
class hidden_widget extends base_widget {
	public function render_row($obj, $token, $value) {
		$this->render($obj, $token, $value);
	}

	function render($obj, $token, $value) {
		?>
			<input type="hidden" name="<?php echo gui_class::escape_html($this->get_id($obj, $token)) ?>" id="<?php echo gui_class::escape_html($this->get_id($obj, $token)) ?>" value="<?php echo gui_class::escape_html($value) ?>" />
		<?php
	}

	static function validate($obj, $token, $value) {
		 throw new widget_validation_exception("Cannot determine if \"$value\" is valid for \"$token\", because I only know it's supposed to be hidden");
	}
}
